# WinRM (Kerberos)
**Name**: "Kerberos WinRM"

```jsx title="Input Configuration"
fields:
  - id: username
    type: string
    label: Username
  - id: password
    type: string
    label: Password
    secret: true
  - id: krb_realm
    type: string
    label: Kerberos Realm (Domain)
required:
  - username
  - password
  - krb_realm
```

```jsx title="Injector Configuration"
extra_vars:
  ansible_user: '{{ username }}'
  ansible_password: '{{ password }}'
  ansible_winrm_transport: kerberos
  ansible_winrm_kerberos_realm: '{{ krb_realm }}'
```